# Method: admin.projects.locations.subscriptions.list

- [HTTP request](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.ListSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions/list#body.aspect)

Returns the list of subscriptions for the given project.

### HTTP request

`GET https://{endpoint}/v1/admin/{parent=projects/*/locations/*}/subscriptions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/pubsub/lite/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent whose subscriptions are to be listed. Structured like `projects/{project_number}/locations/{location}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `pubsublite.subscriptions.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of subscriptions to return. The service may return fewer than this value. If unset or zero, all subscriptions for the parent will be returned. |
| `pageToken` | `string` A page token, received from a previous `subscriptions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `subscriptions.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response for subscriptions.list.

| JSON representation |
|---|
| ``` { "subscriptions": [ { object (`https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions#Subscription`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `subscriptions[]` | ``object (`https://docs.cloud.google.com/pubsub/lite/docs/reference/rest/v1/admin.projects.locations.subscriptions#Subscription`)`` The list of subscriptions in the requested parent. The order of the subscriptions is unspecified. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page of results. If this field is omitted, there are no more results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).